<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RadioCategory extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'icon', 'status'];

    protected function casts(): array
    {
        return [
            'status' => 'integer',
        ];
    }

    public function radios()
    {
        return $this->hasMany(Radio::class);
    }
}
